%define upstream_name    Dist-Zilla-PluginBundle-CEBJYRE
%define upstream_version 0.4.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    My default dzil plugins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::PluginBundle::Basic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Perl::PrereqScanner)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Using this bundle is equivalent to:

  [PkgVersion]
  [AutoPrereqs]
  [PodWeaver]
  [PodCoverageTests]
  [PodSyntaxTests]
  [NextRelease]
  [CheckPrereqsIndexed]
  [@Basic]
  [@Git]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.4.0-11.mga9
+ Revision: 1803111
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-10.mga8
+ Revision: 1494162
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-9.mga7
+ Revision: 1267317
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-8.mga6
+ Revision: 1025934
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.4.0-7.mga6
+ Revision: 970346
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.4.0-6.mga6
+ Revision: 885980
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 741084
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 511232
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 366602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 342127
- update to 0.4.0
- update to 0.2.0

* Tue Mar 15 2011 jquelin <jquelin> 0.1.1-1.mga1
+ Revision: 71810
- imported package perl-Dist-Zilla-PluginBundle-CEBJYRE


* Tue Mar 15 2011 cpan2dist 0.1.1-1mga
- initial mageia release, generated with cpan2dist
